com.gisgraphy.service.impl

## Class RoleManagerImpl

- java.lang.Object
- - com.gisgraphy.service.impl.UniversalManagerImpl
  - - com.gisgraphy.service.impl.RoleManagerImpl

- All Implemented Interfaces:
    RoleManager, UniversalManager

      public class RoleManagerImpl
      extends UniversalManagerImpl
      implements RoleManager

  Implementation of RoleManager interface.
  Author:
    Dan Kibler

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.service.impl.UniversalManagerImpl

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleManagerImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Role` | `getRole(String rolename)`
    `List<Role>` | `getRoles(Role role)`
    `void` | `removeRole(String rolename)`
    `Role` | `saveRole(Role role)`
    `void` | `setRoleDao(RoleDao dao)`

    - ### Methods inherited from class com.gisgraphy.service.impl.UniversalManagerImpl

      `get, getAll, remove, save, setDao`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.gisgraphy.service.UniversalManager

      `get, getAll, remove, save`

- - ### Constructor Detail

    - #### RoleManagerImpl

          public RoleManagerImpl()

  - ### Method Detail

    - #### setRoleDao

          public void setRoleDao(RoleDao dao)

    - #### getRoles

          public List<Role> getRoles(Role role)

      Specified by:
        `getRoles` in interface `RoleManager`
      Parameters:
        `role` - The roles
      Returns:
        list of role

    - #### getRole

          public Role getRole(String rolename)

      Specified by:
        `getRole` in interface `RoleManager`
      Parameters:
        `rolename` - The rolename
      Returns:
        The Role

    - #### saveRole

          public Role saveRole(Role role)

      Specified by:
        `saveRole` in interface `RoleManager`
      Parameters:
        `role` - The role
      Returns:
        The Role

    - #### removeRole

          public void removeRole(String rolename)

      Specified by:
        `removeRole` in interface `RoleManager`
      Parameters:
        `rolename` - The name of the role

Copyright © 2015. All rights reserved.